<html>
<head>
 <script language="C#" runat="server">
  public void Fred(Object se, EventArgs ea)
  {
   Button button = new Button();
   button.Text = System.DateTime.Now.ToString();
   button.Click += new EventHandler(this.Fred);
   button.EnableViewState = true;
   ((Button)se).Controls.Add(button);

  }

	public void Page_PreRender( Object se, EventArgs ea )
	{
		jeff1.Text = "";
	}
 </script>
</head>
   <body>

       <center>

       <form action="jeff.aspx" id="MyForm" method="post"
EnableViewState="false" runat="server">

    <asp:textbox id="jeff1"
EnableViewState="false" runat="server"/>
    <br>
    <asp:button id="btn" runat=Server text="Go"
onclick="Fred" EnableViewState="true"/>

       </form>

       </center>

   </body>

</html>
